.setup {
  padding: var(--margin);

  display: grid;
  place-content: center;
  grid-auto-columns: minmax(min-content, 500px);
  flex: 1;
}

.header {
  margin-bottom: var(--margin);

  text-align: center;
}

.brand {
  margin-bottom: var(--margin);

  --brand-height: 3rem;
}

.form label {
  display: block;
  margin: var(--margin) 0;
}

.form button {
  width: 100%;
  margin-top: var(--margin-lg);

  justify-content: center;
}

.form .error {
  display: none;
  color: var(--color-text-danger);

  transform: translateY(5px);
}

.form .error.visible {
  display: block;
}